SOCKATMARK(3) | Library Functions Manual | SOCKATMARK(3)

# NAME

sockatmark — determine whether a socket is at the out-of-band mark

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <sys/socket.h>

int
sockatmark(int s);

# DESCRIPTION

The sockatmark function determines whether the socket referenced by the file descriptor s is at the out-of-band mark.

# RETURN VALUES

If successful, the sockatmark function returns 1 to indicate that the socket is at an out-of-band mark; 0 is returned if there is no out-of-band mark or the mark is preceded by in-band data. Otherwise, -1 is returned and errno is set to indicate the error.

# ERRORS

The sockatmark function will fail if:

[EBADF]
  The argument s is not a valid file descriptor.
[ENOTTY]
  The file descriptor s does not refer to a socket.

# SEE ALSO

ioctl(2), recv(2), socket(2)

Stuart Sechrest, An Introductory 4.4BSD Interprocess Communication Tutorial. (see /usr/share/doc/psd/20.ipctut)

Samuel J. Leffler, Robert S. Fabry, William N. Joy, Phil Lapsley, Steve Miller, and Chris Torek, Advanced 4.4BSD IPC Tutorial. (see /usr/share/doc/psd/21.ipc)

# STANDARDS

The sockatmark function conforms to IEEE Std 1003.1-2001 (“POSIX.1”).

# HISTORY

The sockatmark function appeared in IEEE Std 1003.1g-2000 (“POSIX.1g”) as a replacement for the SIOCATMARK ioctl(2) interface.

May 15, 2003 | NetBSD 7.2